{
  description = "Rush - endless runner for Playdate";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    playdate-sdk = {
      url = "github:RegularTetragon/playdate-sdk-flake";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, nixpkgs, playdate-sdk }:
    let system = "x86_64-linux";
        pkgs = nixpkgs.legacyPackages.${system};
        playdate-sdk-pkg = playdate-sdk.packages.${system}.default;
    in {
      devShell.${system} = with pkgs;
        mkShell {
          env = {
            PLAYDATE_SDK_PATH = playdate-sdk-pkg;  
          };
          
          nativeBuildInputs = [
            just
            lua-language-server
            playdate-sdk-pkg
            tup
          ];
        };
  };
}
